org.apache.fop.pdf

## Class PDFCIDFontDescriptor

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFFontDescriptor
      - - org.apache.fop.pdf.PDFCIDFontDescriptor

All Implemented Interfaces:
  PDFWritable

    public class PDFCIDFontDescriptor
    extends PDFFontDescriptor

Class representing a font descriptor for CID fonts. Font descriptors for CID fonts are specified on page 227 and onwards of the PDF 1.3 spec.

### Field Summary

### Fields inherited from class org.apache.fop.pdf.PDFDictionary

`entries, order`

### Fields inherited from class org.apache.fop.pdf.PDFObject

`log`

### Constructor Summary

Constructors
Constructor and Description
`PDFCIDFontDescriptor(String basefont, int[] fontBBox, int capHeight, int flags, int italicAngle, int stemV, String lang)` Create a /FontDescriptor object.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setCIDSet(PDFStream cidSet)` Set the CID set stream.

### Methods inherited from class org.apache.fop.pdf.PDFFontDescriptor

`getCIDSet, getFontFile, setCIDSet, setFontFile, setMetrics`

### Methods inherited from class org.apache.fop.pdf.PDFDictionary

`containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

### Methods inherited from class org.apache.fop.pdf.PDFObject

`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFCIDFontDescriptor

    public PDFCIDFontDescriptor(String basefont,
                                int[] fontBBox,
                                int capHeight,
                                int flags,
                                int italicAngle,
                                int stemV,
                                String lang)

Create a /FontDescriptor object.

Parameters:
  `basefont` - the base font name
  `fontBBox` - the bounding box for the described font
  `flags` - various characteristics of the font
  `capHeight` - height of the capital letters
  `stemV` - the width of the dominant vertical stems of glyphs
  `italicAngle` - the angle of the vertical dominant strokes
  `lang` - the language

### Method Detail

#### setCIDSet

    public void setCIDSet(PDFStream cidSet)

Set the CID set stream.

Parameters:
  `cidSet` - the PDF stream containing the CID set